Upstream information

CVE-2017-0663 at MITRE

Description

A remote code execution vulnerability in libxml2 could enable an attacker using a specially crafted file to execute arbitrary code within the context of an unprivileged process. This issue is rated as High due to the possibility of remote code execution in an application that uses this library. Product: Android. Versions: 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2. Android ID: A-37104170.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 8.1
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Network
Access Complexity Low High
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1044337 [RESOLVED / FIXED], 1049467 [RESOLVED], 1123919 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/default-http-backend:beta1
Container caasp/v4/dnsmasq-nanny:2.78
Container caasp/v4/flannel:0.9.1
Container caasp/v4/haproxy:beta1
Container caasp/v4/kubedns:beta1
Container caasp/v4/nginx-ingress-controller:beta1
Container caasp/v4/openldap:beta1
Container caasp/v4/pause:1.0.0
Container caasp/v4/pv-recycler-node:8.25
Container caasp/v4/salt-api:beta1
Container caasp/v4/salt-master:beta1
Container caasp/v4/salt-minion:beta1
Container caasp/v4/sidecar:beta1
Container caasp/v4/velum:4.0.0
Container sles12/caasp-dex:2.7.1
Container suse/sles12sp4:latest
Container suse/sles12sp5:latest
Image sles12sp3-caasp-dex-image
  • libxml2-2 >= 2.9.4-42.1
Openstack Cloud Magnum Orchestration 7
  • libxml2 >= 2.9.4-42.1
  • libxml2-2 >= 2.9.4-42.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1036
SUSE Linux Enterprise Desktop 12 SP2
  • libxml2 >= 2.9.4-42.1
  • libxml2-2 >= 2.9.4-42.1
  • libxml2-2-32bit >= 2.9.4-42.1
  • libxml2-tools >= 2.9.4-42.1
  • python-libxml2 >= 2.9.4-42.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1036
SUSE Linux Enterprise Desktop 12 SP3
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
SUSE Linux Enterprise Desktop 12 SP4
  • libxml2-2 >= 2.9.4-46.15.1
  • libxml2-2-32bit >= 2.9.4-46.15.1
  • libxml2-tools >= 2.9.4-46.15.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libxml2-2 >= 2.9.4-46.20.1
  • libxml2-2-32bit >= 2.9.4-46.20.1
  • libxml2-doc >= 2.9.4-46.20.1
  • libxml2-tools >= 2.9.4-46.20.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libxml2-2 >= 2.9.7-3.6.1
  • libxml2-2-32bit >= 2.9.7-3.6.1
  • libxml2-devel >= 2.9.7-3.6.1
  • libxml2-tools >= 2.9.7-3.6.1
  • python3-libxml2-python >= 2.9.7-3.6.1
SUSE Linux Enterprise Module for Basesystem 15
  • libxml2-2 >= 2.9.7-1.30
  • libxml2-2-32bit >= 2.9.7-1.30
  • libxml2-devel >= 2.9.7-1.30
  • libxml2-tools >= 2.9.7-1.30
  • python2-libxml2-python >= 2.9.7-1.30
  • python3-libxml2-python >= 2.9.7-1.30
SUSE Linux Enterprise Module for Containers 12
  • sles12sp2-docker-image >= 1.0.2-20180821
Patchnames:
SUSE-SLE-Module-Containers-12-2018-1762
SUSE Linux Enterprise Module for Python2 packages 15 SP1
  • python2-libxml2-python >= 2.9.7-3.6.1
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libxml2 >= 2.7.6-0.76.1
  • libxml2-32bit >= 2.7.6-0.76.1
  • libxml2-doc >= 2.7.6-0.76.1
  • libxml2-python >= 2.7.6-0.76.4
  • libxml2-x86 >= 2.7.6-0.76.1
Patchnames:
slessp4-libxml2-13199
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libxml2 >= 2.9.4-42.1
  • libxml2-2 >= 2.9.4-42.1
  • libxml2-2-32bit >= 2.9.4-42.1
  • libxml2-doc >= 2.9.4-42.1
  • libxml2-tools >= 2.9.4-42.1
  • python-libxml2 >= 2.9.4-42.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1036
SUSE Linux Enterprise Server 12 SP3
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-doc >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
SUSE Linux Enterprise Server 12 SP4
  • libxml2-2 >= 2.9.4-46.15.1
  • libxml2-2-32bit >= 2.9.4-46.15.1
  • libxml2-doc >= 2.9.4-46.15.1
  • libxml2-tools >= 2.9.4-46.15.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libxml2 >= 2.9.4-42.1
  • libxml2-2 >= 2.9.4-42.1
  • libxml2-doc >= 2.9.4-42.1
  • libxml2-tools >= 2.9.4-42.1
  • python-libxml2 >= 2.9.4-42.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1036
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libxml2 >= 2.7.6-0.76.1
  • libxml2-devel >= 2.7.6-0.76.1
  • libxml2-devel-32bit >= 2.7.6-0.76.1
Patchnames:
sdksp4-libxml2-13199
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libxml2 >= 2.9.4-42.1
  • libxml2-devel >= 2.9.4-42.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1036
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libxml2-devel >= 2.9.4-45.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libxml2-devel >= 2.9.4-46.15.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libxml2-devel >= 2.9.4-46.20.1
openSUSE Leap 15.0
  • libxml2-2 >= 2.9.7-lp150.1.7
  • libxml2-2-32bit >= 2.9.7-lp150.1.7
  • libxml2-tools >= 2.9.7-lp150.1.7
  • python3-libxml2-python >= 2.9.7-lp150.1.7
Patchnames:
openSUSE Leap 15.0 GA libxml2-2
openSUSE Leap 15.0 GA python3-libxml2-python
openSUSE Leap 42.2
  • libxml2 >= 2.9.4-5.9.1
  • libxml2-2 >= 2.9.4-5.9.1
  • libxml2-2-32bit >= 2.9.4-5.9.1
  • libxml2-2-debuginfo >= 2.9.4-5.9.1
  • libxml2-2-debuginfo-32bit >= 2.9.4-5.9.1
  • libxml2-debugsource >= 2.9.4-5.9.1
  • libxml2-devel >= 2.9.4-5.9.1
  • libxml2-devel-32bit >= 2.9.4-5.9.1
  • libxml2-doc >= 2.9.4-5.9.1
  • libxml2-tools >= 2.9.4-5.9.1
  • libxml2-tools-debuginfo >= 2.9.4-5.9.1
  • python-libxml2 >= 2.9.4-5.9.1
  • python-libxml2-debuginfo >= 2.9.4-5.9.1
  • python-libxml2-debugsource >= 2.9.4-5.9.1
Patchnames:
openSUSE-2017-754
openSUSE Leap 42.3
  • libxml2-2 >= 2.9.4-10.1
  • libxml2-2-32bit >= 2.9.4-10.1
  • libxml2-devel >= 2.9.4-10.1
  • libxml2-tools >= 2.9.4-10.1
Patchnames:
openSUSE Leap 42.3 GA libxml2-2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
Magnum Orchestration libxml2 Released
SUSE Linux Enterprise 12 Module for Containers sles12sp2-docker-image Released
SUSE Linux Enterprise Desktop 12 SP2 libxml2 Released
SUSE Linux Enterprise Server 11 SP1 libxml2 Released
SUSE Linux Enterprise Server 11 SP3 libxml2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS libxml2 Affected
SUSE Linux Enterprise Server 11 SP4 libxml2 Released
SUSE Linux Enterprise Server 12 LTSS libxml2 Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS libxml2 Unsupported
SUSE Linux Enterprise Server 12 SP2 libxml2 Released
SUSE Linux Enterprise Server for the Raspberry Pi libxml2 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libxml2 Released
SUSE Linux Enterprise Software Development Kit 12 libxml2 Released